Changeset - r9758:639c35eca387
[Not reviewed]
master
0 2 0
smatz - 16 years ago 2008-07-31 14:32:35
smatz@openttd.org
(svn r13894) -Fix: bashisms in configure and Makefile.in
2 files changed with 6 insertions and 4 deletions:
0 comments (0 inline, 0 general)
Makefile.in
Show inline comments
 
@@ -37,7 +37,7 @@ REVISION = !!REVISION!!
 
AWK = !!AWK!!
 
DISTCC = !!DISTCC!!
 

	
 
RES := $(shell if ! [ -f $(CONFIG_CACHE_SOURCE_LIST) ] || [ -n "`cmp $(CONFIG_CACHE_SOURCE_LIST) $(SOURCE_LIST)`" ]; then cp $(SOURCE_LIST) $(CONFIG_CACHE_SOURCE_LIST); fi )
 
RES := $(shell if [ ! -f $(CONFIG_CACHE_SOURCE_LIST) ] || [ -n "`cmp $(CONFIG_CACHE_SOURCE_LIST) $(SOURCE_LIST)`" ]; then cp $(SOURCE_LIST) $(CONFIG_CACHE_SOURCE_LIST); fi )
 

	
 
all: config.cache
 
ifdef DISTCC
configure
Show inline comments
 
@@ -32,7 +32,7 @@ MEDIA_DIR="$ROOT_DIR/media"
 
SOURCE_LIST="$ROOT_DIR/source.list"
 

	
 
if [ "$1" = "--reconfig" ] || [ "$1" = "--reconfigure" ]; then
 
	if ! [ -f "config.cache" ]; then
 
	if [ ! -f "config.cache" ]; then
 
		echo "can't reconfigure, because never configured before"
 
		exit 1
 
	fi
 
@@ -43,7 +43,9 @@ if [ "$1" = "--reconfig" ] || [ "$1" = "
 
	exit $?
 
fi
 

	
 
export SHOW_HELP="0"
 
# 'export SHOW_HELP="0"' doesn't work on some systems
 
SHOW_HELP="0"
 
export SHOW_HELP
 

	
 
set_default
 
detect_params "$@"
 
@@ -70,7 +72,7 @@ else
 
	PIPE_SORT="$sort"
 
fi
 

	
 
if ! [ -f "$LANG_DIR/english.txt" ]; then
 
if [ ! -f "$LANG_DIR/english.txt" ]; then
 
	echo "Languages not found in $LANG_DIR. Can't continue without it."
 
	echo "Please make sure the dir exists and contains at least english.txt"
 
fi
0 comments (0 inline, 0 general)